<?php 
class path_Core{
	public static function getThumb($path){
		$ext		=	".".pathinfo($path,PATHINFO_EXTENSION);
		$dirname	=	dirname($path)."/";
		$filename	=	$dirname."thumb_".basename($path);
		return $filename;
	}
	public static function uploadattachment(){
		return "upload/".date("Y",time())."/".date("m",time())."/".date("d",time());
	}
	public static function getBigImage($path){
		$filename	=	str_replace("thumb_","",$path);
		return $filename;
	}
	public static function getImgUrl($path){
		if(preg_match("#http://#i",$path)){
			return $path;
		}
		else{
			return BASEURL.$path;
		}
	}
}